-- main.lua for gradient2.love using simulated canvases


function love.load()
	gr, li, pi, down	= love.graphics, love.image, math.pi, love.keyboard.isDown
	gr.setCaption( 'Image Scan' )
	imageData	= love.image.newImageData( 'Thai.jpg' )
	im = gr.newImage(imageData)
	w, h		= imageData:getWidth(), imageData:getHeight()
	image	= gr.newImage('Love.jpg')
	w2, h2		= image:getWidth(), image:getHeight()
	v		= 50
	j		= 0
	k		= 0
	t		= 0
	delay	= 0.002
	end

function love.draw()
	gr.draw( image )	-- add background image
	gr.print( 'fps: '..love.timer.getFPS( ), 10, 10 )
	gr.setColor( 255, 255, 255 )
	--scan=love.image.newImageData(w,v)
	--scan:paste( imageData, 0, 0, 0, j, w-1, v )
	--gr.draw(gr.newImage(scan),400-w/2,300-v/2)
	--if j==1 then collectgarbage(collect) end
	quad = love.graphics.newQuad( 1, j, w, v, w, h )
	gr.drawq(im,quad,600-w/2,300-v/2)
	quad2 = love.graphics.newQuad( k, 1, v, h2, w2, h2 )
	gr.setColor(255,0,0)
	gr.drawq(image,quad2,100,300-h2/2)
	gr.setColor(255,255,255)
	gr.print('width: '..v,10,550)
	gr.print('delay: '..delay,10,565)
	gr.print('Change width & delay using arrow keys.',500,565)
	end

function love.update( dt )
	t=t+dt
	if t > delay then
		t=0
		j = j < h - v-1 and j + 1 or 0
		k = k < w2- v-1 and k + 1 or 0
		end
	if down( 'up' ) then v = v+1 end
	if down( 'down' ) then v=v>0 and v-1 or 0   end
	end

function love.keypressed( key )
	if key	== 'escape' then love.event.push( 'quit' )	end
	if key == 'left' then delay = delay + 0.001 end
	if key == 'right' then delay = delay>0 and delay - 0.001 or 0 end
	end


